=begin pod

=TITLE class X::Promise::CauseOnlyValidOnBroken

=SUBTITLE Error due to asking why an unbroken promise has been broken.

    class X::Promise::CauseOnlyValidOnBroken is Exception { }

This exception is thrown when code expects a Promise to be broken,
and asks why it has been broken, but the Promise has in fact,
not yet been broken.

=head1 Methods

=head2 method promise

    method promise()

Returns the Promise that was asked about.

=head2 method status

    method status()

Returns the status the Promise had at that time.

=end pod
